Bug 206350 - Microcode bcm43xx_microcode4.fw failed to load. No such file or directory
Microcode bcm43xx_microcode4.fw failed to load. No such file or directory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 16:04 EDT by Kevin Larkin
Modified: 2008-05-06 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Larkin 2006-09-13 16:04:25 EDT
Description of problem:
Linksys WPC54G v2 having trouble working.  Logs say:
Sep 13 14:17:11 hondalap1 firmware_helper[9080]: Loading of
/lib/firmware/bcm43xx_microcode4.fw for bcm43xx driver failed: No such file or
directory
Sep 13 14:19:32 hondalap1 init: Trying to re-exec init
Sep 13 14:19:32 hondalap1 kernel: pccard: CardBus card inserted into slot 0
Sep 13 14:19:32 hondalap1 kernel: PCI: Enabling device 0000:02:00.0 (0000 -> 0002)
Sep 13 14:19:32 hondalap1 kernel: ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 17
(level, low) -> IRQ 177
Sep 13 14:19:32 hondalap1 kernel: bcm43xx: Chip ID 0x4306, rev 0x2
Sep 13 14:19:32 hondalap1 kernel: bcm43xx: Number of cores: 6
Sep 13 14:19:32 hondalap1 kernel: bcm43xx: Core 0: ID 0x800, rev 0x2, vendor
0x4243, enabled
Sep 13 14:19:32 hondalap1 kernel: bcm43xx: Core 1: ID 0x812, rev 0x4, vendor
0x4243, disabled
Sep 13 14:19:32 hondalap1 kernel: bcm43xx: Core 2: ID 0x80d, rev 0x1, vendor
0x4243, enabled
Sep 13 14:19:32 hondalap1 kernel: bcm43xx: Core 3: ID 0x807, rev 0x1, vendor
0x4243, disabled
Sep 13 14:19:32 hondalap1 kernel: bcm43xx: Core 4: ID 0x804, rev 0x7, vendor
0x4243, enabled
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: Core 5: ID 0x812, rev 0x4, vendor
0x4243, disabled
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: Ignoring additional 802.11 core.
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: PHY connected
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: Detected PHY: Version: 1, Type 2,
Revision 1
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: Detected Radio: ID: 2205017f (Manuf:
17f Ver: 2050 Rev: 2)
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: Radio turned off
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: Radio turned off
Sep 13 14:19:33 hondalap1 kernel: SoftMAC: ASSERTION FAILED (0) at:
net/ieee80211/softmac/ieee80211softmac_wx.c:306:ieee80211softmac_wx_get_rate()
Sep 13 14:19:33 hondalap1 kernel: SoftMAC: empty ratesinfo?
Sep 13 14:19:33 hondalap1 kernel: SoftMAC: empty ratesinfo?
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: set security called, .level = 0,
.enabled = 0, .encrypt = 0
Sep 13 14:19:33 hondalap1 kernel: SoftMAC: Associate: Scanning for networks first.
Sep 13 14:19:33 hondalap1 kernel: SoftMAC: Associate: failed to initiate scan.
Is device up?
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: PHY connected
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: PHY disconnected
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: PHY connected
Sep 13 14:19:33 hondalap1 kernel: bcm43xx: Error: Microcode
"bcm43xx_microcode4.fw" not available or load failed.

How reproducible:
Always

Steps to Reproduce:
Persistant.  Just try to use the card.
  
Actual results:


Expected results:
Want a working card.

Additional info:
Comment 1 Christopher Aillon 2006-09-14 17:46:07 EDT
And you have the firmware that is required for the kernel to do anything with
your wireless hardware?  It's not saying its missing the firmware out of spite.  :-)
Comment 2 Ivo Sarak 2006-09-18 04:42:28 EDT
I used the firmware and instructions available over
http://forums.fedoraforum.org/forum/showthread.php?t=102697&highlight=bcm43xx_microcode4.fw
to get the BCM43xx device going.
All is nice, but the system will freeze during "ifup eth1".
Comment 3 Ivo Sarak 2006-09-18 05:01:45 EDT
My config:
[root@localhost ~]# lspci
00:00.0 Host bridge: Intel Corporation 82830 830 Chipset Host Bridge (rev 02)
00:01.0 PCI bridge: Intel Corporation 82830 830 Chipset AGP Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801CA/CAM USB (Hub #1) (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 41)
00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio
Controller (rev 01)
00:1f.6 Modem: Intel Corporation 82801CA/CAM AC'97 Modem Controller (rev 01)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
02:00.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
02:01.0 CardBus bridge: Texas Instruments PCI1420
02:01.1 CardBus bridge: Texas Instruments PCI1420
02:03.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN
Controller (rev 02)
[root@localhost ~]# lspci -n
00:00.0 0600: 8086:3575 (rev 02)
00:01.0 0604: 8086:3576 (rev 02)
00:1d.0 0c03: 8086:2482 (rev 01)
00:1e.0 0604: 8086:2448 (rev 41)
00:1f.0 0601: 8086:248c (rev 01)
00:1f.1 0101: 8086:248a (rev 01)
00:1f.5 0401: 8086:2485 (rev 01)
00:1f.6 0703: 8086:2486 (rev 01)
01:00.0 0300: 1002:4c59
02:00.0 0200: 10b7:9200 (rev 78)
02:01.0 0607: 104c:ac51
02:01.1 0607: 104c:ac51
02:03.0 0280: 14e4:4320 (rev 02)
[root@localhost ~]# 

Comment 4 Christopher Aillon 2006-10-05 18:49:32 EDT
If you're freezing with "ifup" then this isn't really a networkmanager issue... 
Comment 5 Kevin Larkin 2006-10-25 00:40:13 EDT
My original bug report for microcode errors was PEBCAK.  I think this can be
closed.  Sorry!
Comment 6 Matthew Miller 2007-04-06 12:45:47 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Bug Zapper 2008-04-03 23:43:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:19:48 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.